package model;

public class Niveau extends Grille{
	private static int numeroNiveau = 0;
	private String nom;
	private boolean fini = false;

	public Niveau(int longueur, int largeur, Joueur joueur) {
		super(longueur, largeur, joueur);
		numeroNiveau++;
	}

	public void niveauTerminer(){
		fini = true;
	}

	public int getNumeroNiveau(){
		return numeroNiveau;
	}

	public String getNom(){
		return nom;
	}

	public boolean estFini(){
		return fini;
	}
}