package model;

public class Vie extends Item{
	private static int nbVie=0;
	private boolean etat=true;
	
	public Vie(String nom, Position position) {
		this.setNom(nom);
		this.setPosition(position);
		nbVie++;
	}
	
	public Vie(String nom) {
		this.setNom("Coeur");
		nbVie++;
	}
	
	public Vie() {
		this("Coeur");
	}
	
	public static int getNbVie() {
		return nbVie;
	}
	
	public void setNbVie(int nb) {
		nbVie=nb;
	}
	
	 @Override
	 public String toString() {
			return "Vie [Nom=" + getNom() + "Nombre Bonus Vie="+ nbVie + "]";
		}
	 
	 public void activerVie() {
		 this.etat=true;
	 }
	 
	 public void desactiverVie() {
		 this.etat=false;
	 }
	 
	 public boolean getEtat() {
			return this.etat;
		}
	
}
