package view;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class FenetreFin extends JFrame {
    public FenetreFin(String msg) {
        setTitle("Fin du jeu");
        setSize(300, 200);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        // Création du texte de fin
        JLabel label = new JLabel(msg);
        label.setHorizontalAlignment(JLabel.CENTER);

        // Création du bouton "OK" pour quitter
        JButton okButton = new JButton("OK");
        okButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                // Action à effectuer lorsque le bouton "OK" est cliqué
                dispose(); // Ferme la fenêtre
                System.exit(0); // Quitte le programme
            }
        });

        // Ajout des composants à la fenêtre
        setLayout(new BorderLayout());
        add(label, BorderLayout.CENTER);
        add(okButton, BorderLayout.SOUTH);

        // Centrer la fenêtre au milieu de l'écran
        setLocationRelativeTo(null);

        setVisible(true);
    }

}
