package controller;

import javax.swing.SwingUtilities;

import model.*;

import view.Fenetre;
import view.FenetreFin;

public class LanceJeu implements Runnable{
    public LanceJeu(){
        run();
    }

    @Override
    public void run() {
        System.out.println("--- Okie ---");
		
		int sizeL = 20;
		int sizel = 20;
        Joueur joueur = new Joueur("Walace");
        Niveau niveau = new Niveau(sizeL, sizel, joueur);
		Fenetre fenetre = new Fenetre(niveau);
        int level = 5;

        while(niveau.getNumeroNiveau() < level){
            try {
                Thread.sleep(1000); // Attendre 1 seconde avant de vérifier à nouveau
            } catch (InterruptedException e) {
                Thread.currentThread().interrupt();
            }

            if (niveau.estFini()) {
                // Mettre à jour le niveau
                niveau = new Niveau(niveau.getLongueur(), niveau.getLargeur(), niveau.getJoueur());
                fenetre.setNiveau(niveau);
            }
        }
		
		System.out.println("--- Dokie ---");
        
        // Création d'une instance de FenetreFin
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                new FenetreFin("Félicitations, vous avez terminé le jeu !");
            }
        });
    }
    
}
