package model;

public class Item {
	private String nom = "Vide";
	private Position position;
	
	public String getNom() {
		return nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}


	public Position getPosition() {
		return position;
	}

	public void setPosition(Position position) {
		this.position = position;
	}

	@Override
	public String toString() {
		return "Item [nom=" + nom + ", position=" + position.toString() + "]";
	}
	
	public boolean estUnMur() {
		return this.getClass().getSimpleName().contains("Mur");
	}
	
	public boolean estUnPiege() {
		return this.getClass().getSimpleName().contains("Piege");
	}
	
	public boolean estUnMonstre() {
		return this.getClass().getSimpleName().contains("Monstre");
	}
	
	public boolean estUnJoueur() {
		return this.getClass().getSimpleName().contains("Joueur");
	}
	
	public boolean estVie() {
		return this.getClass().getSimpleName().contains("Vie");
	}

	public boolean estUnePotion() {
		return this.getClass().getSimpleName().contains("Potion");
	}

	
}