package model;

public class Piege extends Item{
	private static int nombreDePiege = 0; 
	private boolean etat = true;
	
	public Piege(String nom, Position position) {
		this.setNom(nom);
		this.setPosition(position);
		nombreDePiege++;
	}
	
	public Piege(String nom) {
		this.setNom(nom);
		nombreDePiege++;
	}
	
	public Piege() {
		this("Piege 1");
	}
	
	public static int nombrePiege() {
		return nombreDePiege;
	}

	@Override
	public String toString() {
		return "Piege [Nom=" + getNom() + "nombreDePiege="+ nombreDePiege + "]";
	}
	
	public void activerPiege() {
		this.etat = true;
	}
	
	public void desactiverPiege() {
		this.etat = false;
	}

	public boolean getEtat() {
		return this.etat;
	}
	
	
}